Package com.oracle.truffle.api.utilities

## Class JSONHelper.JSONStringBuilder

- java.lang.Object
- - com.oracle.truffle.api.utilities.JSONHelper.JSONStringBuilder

Direct Known Subclasses:
  `JSONHelper.JSONArrayBuilder`, `JSONHelper.JSONObjectBuilder`

Enclosing class:
  JSONHelper

    public abstract static class JSONHelper.JSONStringBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
`JSONStringBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `appendTo​(java.lang.StringBuilder sb)`
`protected static void` `appendValue​(java.lang.StringBuilder sb, java.lang.Object value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JSONStringBuilder

    public JSONStringBuilder()

### Method Detail

#### toString

    public final java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### appendTo

    protected abstract void appendTo​(java.lang.StringBuilder sb)

#### appendValue

    protected static void appendValue​(java.lang.StringBuilder sb,
                                      java.lang.Object value)